#!/bin/sh
set -e

CLASSPATH=protege.jar:looks.jar:driver.jar:driver0.jar:driver1.jar:driver2.jar
MAINCLASS=edu.stanford.smi.protege.server.Server

cd {{ protege_dir }}

# ------------------- JVM Options ------------------- 
MAX_MEMORY={{ protege_memory }}
HEADLESS=-Djava.awt.headless=true
CODEBASE_URL=file:$PWD/protege.jar
CODEBASE=-Djava.rmi.server.codebase=$CODEBASE_URL
HOSTNAME_PARAM=-Djava.rmi.server.hostname={{ ansible_default_ipv4.address }}
TX="-Dtransaction.level=READ_UNCOMMITTED"
LOG4J_OPT="-Dlog4j.configuration=file:log4j.xml"
USECODEBASE=-Djava.rmi.server.useCodebaseOnly=false
SERV_OPT="-Dserver.use.compression=true"
OPTIONS="$MAX_MEMORY $HEADLESS $CODEBASE $HOSTNAME_PARAM ${TX} ${LOG4J_OPT}"

PORTOPTS="-Dprotege.rmi.server.port=5200 -Dprotege.rmi.registry.port={{ protege_rmi_port }}"

#DEBUG_OPT="-Xdebug -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=n"

OPTIONS="${OPTIONS} ${PORTOPTS} ${SERV_OPT} ${DEBUG_OPT}"
# ------------------- JVM Options ------------------- 

# ------------------- Cmd Options -------------------
# If you want automatic saving of the project, 
# setup the number of seconds in SAVE_INTERVAL_VALUE
SAVE_INTERVAL=-saveIntervalSec=0
# ------------------- Cmd Options -------------------
JAVA_PATH=/usr/lib/jvm/jre/bin
# Path to metaproject

METAPROJECT={{ protege_projects }}server/metaproject.pprj

cd {{ protege_dir }}
$JAVA_PATH/rmiregistry -J-Djava.rmi.server.useCodebaseOnly=false {{ protege_rmi_port }} &
$JAVA_PATH/java -cp $CLASSPATH $TX $OPTIONS $MAINCLASS $SAVE_INTERVAL $METAPROJECT
